@import "~sass/media";
@import "~sass/variables";

.navi-wrapper-header {
  background-color: #25c0f9;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 3;

  @include for-size(phone-only) {
    background: $quaternary;
    -webkit-box-shadow: 0 0 8px #969696;
    box-shadow: 0 0 20px #969696;
    display: inline-block;
    width: 100%;
  }

  @include for-size(mobile-lanscape) {
    background: $quaternary;
    -webkit-box-shadow: 0 0 8px #969696;
    box-shadow: 0 0 20px #969696;
    display: inline-block;
    width: 100%;
  }

  @include for-size(tablet-portrait-up) {
    background: $font-black;
    background: ($primary-color, 0.3);
    -webkit-box-shadow: 0 0 8px #969696;
    box-shadow: 0 0 20px #969696;
  }
  .header-category{
    // display: flex;
    // position: absolute;
    // list-style-type: none;
        width: 100%;
        @include for-size(tablet-portrait-up) {
          display: none;
        }
        .row{
          margin: 0;
        }
    .nav-item .dropdown{

    }
  }
}
.header-category.padding0px{
    @include for-size(tablet-landscape-up) {
      padding: 0px !important;
    }
}
.navi-wrapper-header {
  &.mobile-header-view {
    @include for-size(phone-only) {
      background: $primary-color;
    }
  }
}
.mobile-new-header {
  height: 60px;
  padding: 0;
  background-color: $primary-color;
  .header-cont .cart-icons-cont .header-fav-cart {
    background-color: transparent;
  }
  .header-fav-cart {
    .header-icons {
      fa {
        color: $font-black;
      }
    }
  }
  .header-search {
    padding: 0;
    height: 55px;
  }
}

.search-wrapp {
  width: 45%;
}

.user-wrapp {
  width: 15%;
  padding-left: 20px;
}

.header-icon-wrpp {
  width: 10%;
  position: relative;
}

.header {
    display: flex;
    justify-content: center;
    /* padding: 51px 0 21px 0; */
    background-color: $primary-color;
    width: 100%;
    height: 160px;
    align-items: center;
  @include for-size(phone-only) {
    height: 100% !important;
    padding: 0;
    background-color: transparent;
  }
  @include for-size(mobile-lanscape) {
    padding: 0;
    background-color: $font-white;
  }
  @include for-size(tablet-portrait-up) {
    padding: 0;
    background-color: $font-white;
    height: 123px;
  }
  @include for-size(tablet-portrait-up) {
    background-color: $primary-color;
  }
  @include for-size(tablet-landscape-up) {
    padding: 48px 0 11px 0;
  }
  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    display: inline-block;
    padding: 54px 0 21px 0 !important;
    @include for-size(tablet-portrait-up) {
      padding: 0px !important;
    }
  }
  .logo-left{
    display: flex;
    align-items: center;
  }
  .logo-center{
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 0 !important;
  }
  .logo-right{
    display: flex;
    flex-direction: column;
    /* flex-wrap: wrap; */
    align-items: center;
    /* height: 160px; */
    @include for-size(tablet-portrait-up) {
      padding-right: 0;
    }
  }
  .header-cont{
    display: flex;
    width: 100%;
    margin: 8px 0;
  }
  .header-row{
    margin-top: 43px;
      @include for-size(tablet-landscape-up) {
        margin-top: 5px;
      }
  }
}

.header-top {
  height: 43px;
  background-color: $quaternary;
  width: 100%;
  display: flex;
  position: absolute;
  @include for-size(phone-only) {
    display: none;
  }
  @include for-size(mobile-lanscape) {
    display: none;
  }
  @include for-size(tablet-portrait-up) {
    display: none;
  }
  @media screen and (min-width: 601px) and (max-width: 800px) {
    display: none;
  }
}
.header-top .padding0px {
  @include for-size(l1280-622) {
    padding: 0 15px;
  }
  @include for-size(l1280-800) {
    padding: 0 15px;
  }
  @include for-size(tablet-landscape-up) {
    padding: 0 15px;
  }
  @include for-size(tablet-portrait-up) {
    padding: 0 15px;
  }
  @include for-size(l1366-1439) {
    padding: 0 15px;
  }
  @include for-size(mobile-lanscape) {
    padding: 0 15px;
  }
  @include for-size(phone-only) {
    padding: 0 15px;
  }
  @include for-size(l1025-1279) {
    padding: 0 15px;
  }
  // @include for-size(d1600-1919) {
  //        padding: 0 15px;
  // }
  // @include for-size(l1440-1534) {
  //        padding: 0 15px;
  // }
  // @include for-size(l1535-1559) {
  //        padding: 0 15px;
  // }
}
.header .padding0px {
  @include for-size(l1280-622) {
    padding: 0 15px;
  }
  @include for-size(l1280-800) {
    padding: 0 15px;
  }
  @include for-size(tablet-landscape-up) {
    padding: 0 15px;
  }
  @include for-size(tablet-portrait-up) {
    padding: 0 15px;
  }
  @include for-size(l1366-1439) {
    padding: 0 15px;
  }
  @include for-size(mobile-lanscape) {
    padding: 0 15px;
  }
  @include for-size(phone-only) {
    padding: 0 15px;
  }
  @include for-size(l1025-1279) {
    padding: 0 15px;
  }
  // @include for-size(d1600-1919) {
  //        padding: 0 15px;
  // }
  // @include for-size(l1535-1559) {
  //        padding: 0 15px;
  // }
  // @include for-size(l1440-1534) {
  //        padding: 0 15px;
  // }
}
.header-top-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: $font-silver;
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.36px;
  line-height: 26px;
}
.header-top-right {
  display: flex;
}
.header-top-right ul {
  display: inline-flex;
  position: relative;
  margin: 0px !important;
  align-items: center;
}
.top-border {
  border-right: 1px solid #d6d6d6;
  height: 18px;
  padding: 0px 15px 0 15px;
  display: flex;
  align-items: center;
  cursor: pointer;
  a{
    color: inherit;
    text-decoration: none;
  }
  &:last-child{
    border-right: none;
  }
}
.prl-15 {
  padding: 0 15px;
}
.header-top-right ul li {
  list-style-type: none;
}
.header-border {
  padding: 0 20px;
  height: 20px;
  border-right: 1px solid #989898;
  display: flex;
  align-items: center;
  justify-content: center;
}
.download-btn {
  border-radius: 2px;
  background-color: #bf1515;
  opacity: 0.5;
  color: $font-white !important;
  font-size: 11px;
  font-weight: 400;
  letter-spacing: 0.33px;
  line-height: 26px;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 107px;
  height: 24px;
  @include for-size(l1366-1439) {
    width: 120px;
  }
  @include for-size(l1280-622) {
    width: 120px;
  }
  @include for-size(l1280-800) {
    width: 120px;
  }
}
.profile-image {
  width: 36px;
  height: 36px;
  border-radius: 2px;
  background-color: $font-white;
  @include for-size(tablet-portrait-up) {
    display: none;
  }
}
.profile-image.username {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
  text-transform: capitalize;
  cursor: pointer;
  color: $font-white;
  font-size: 14px;
  font-weight: 400;
  line-height: 26px;
}
.header-search {
  //height: 66px;
  background: $primary-color;
  padding: 10px 11px;
}

// .header .row {
//   flex: 1;
//   margin-right: 10px;
//   padding: 15px;

//   @include for-size(phone-only) {
//   }
// }

.header .language {
  padding-top: 7px;
  font-size: 14px;
  white-space: nowrap;
  width: 5%;
  padding-left: 20px;

  span {
    text-transform: uppercase;
    vertical-align: middle;
    display: inline-grid;
    font-size: 14px;

    img {
      width: 20px;
      height: 14px;
      vertical-align: middle;
    }
  }
}

//  .header-logo {
//     flex: 1;
//     .logo-wrap {
//       margin-left: 60px;
//     }
//     img{
//       padding: 4px 0px;
//       cursor: pointer;
//       height: 52px;
//       object-fit: contain;
//     }
//   }

.logo {
  cursor: pointer;
  display: inline-flex;

  //  width: 300px;
  @include for-size(phone-only) {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  span {
    @include for-size(phone-only) {
      width: 70%;
    }

    @include for-size(mobile-lanscape) {
      width: 50%;
    }
  }

  img {
    object-fit: contain;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    width: 100%;
    // height: 52px;
  }
}

img.responsive {
  max-width: 100%;
  max-height: 100%;
}

.list {
  display: inline-block;
  cursor: pointer;
}

.navbar-expand-lg {
  border-color: 1px solid gray;
}

.wrapper {
  max-width: 960px;
}

.navi-wrapper {
  background-color: $font-white;
  color: #6f6f6f;
  height: 54px;
  //box-shadow: 1px -1px 8px rgba(212, 212, 212, 0.65),
  //1px 1px 5px rgba(208, 205, 205, 0.48);
  //top: 68px;
  top: 137px;
  left: 0;
  right: 0;
  z-index: 2;
  position: fixed;
  background: #25c0f9;
  display: flex;
  align-items: center;
  margin-top: -29px;
  @include for-size(tablet-landscape-up) {
    //top: 72px;
    display: none;
  }
}
.navi-wrapper .container {
  padding: 0;
}
.topminus {
  top: -15px;
}

.my-profile span {
  padding-left: 11px;
  font-size: 14px;
}

.navbar-nav a {
  color: #6b6b6b;
  font-weight: 500;
  font-size: 13px;
}

.btn-secondary {
  background-color: #1f1e1e !important;
  border-color: #1f1e1e !important;
  border-radius: 0;
  font-weight: 500;
  color: white !important;
  font-size: 13px;
  text-align: left;
}
.menu-bg {
  background: $secondary-color;
  @include for-size(tablet-landscape-up) {
    display: none;
  }
}
.navi-wrapper .btn-navi {
  background-color: $primary-color !important;
  border-color: $primary-color !important;
  border-radius: 0;
  width: 16.9vw;
  font-weight: bold;
  font-size: 13px;
  text-align: left;
  color: #000;
  height: 38px;
}

.navi-wrapper .navbar-brand {
  padding-top: 0.5rem;
}

nav .navbar {
  padding: 0 !important;
}

.logo-txt-style {
  font-size: 20px;
  font-weight: bold;
}

.navbar-light .navbar-nav .nav-link {
  display: flex;
  justify-content: space-between;
  align-items: center;
  //padding: 0.5625rem 1rem;
  padding: 0 15px;
  height: 54px;
  font-size: 12px;
  font-weight: 400;
  letter-spacing: 0.36px;
  line-height: 26px;
  color: #eeeeee;
  @include for-size(l1025-1279) {
    padding: 0 10px;
    // font-size: 10px;
  }
  @include for-size(l1280-1365) {
    padding: 0 10px;
    // font-size: 10px;
  }
  @include for-size(tablet-landscape-up) {
    padding: 0.5625rem 0.5rem;
  }
  @include for-size(l1280-622) {
    padding: 0 10px;
  }
  // @include for-size(l1366-1439) {
  //   font-size: 10px;
  // }
  @media screen and (min-width: 601px) and (max-width: 1000px) {
    padding: 0;
  }
  // @include for-size(l1440-1534) {
  //     font-size: 10px;
  // }
  // @include for-size(l1535-1559) {
  //   font-size: 10px;
  // }
}
.header-profile-normal-name {
  display: flex;
  position: relative;
  left: 10px;
  margin-right: 1vw;
  color: $font-white;
  font-size: 14px;
  font-weight: 600;
  align-items: center;
    i{
      color: $font-white;
      font-size: 20px;
    }
  @include for-size(l1280-622) {
    font-size: 12px;
  }
  @include for-size(l1280-800) {
    font-size: 12px;
  }
  @include for-size(l1025-1279) {
    font-size: 11px;
  }
  @include for-size(tablet-landscape-up) {
    font-size: 10px;
    padding-right: 5px;
  }
  @include for-size(tablet-portrait-up) {
    left: 10px;
  }
  .user-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    vertical-align: middle;
    display: inline-block;
    text-transform: capitalize;
    cursor: pointer;
    @include for-size(phone-only) {
      max-width: 100%;
      padding-left: 5px;
    }
  }
}

.user-name-normal{
  .signIn{
    color: $font-white;
    cursor: pointer;
  }
  .signOut{
    color: $font-white;
    cursor: pointer;
  }
  .divider{
    color: $font-black;
  }
}


.user-name-normal > .signIn:hover {
  text-decoration: underline;
}
.user-name-normal > .signOut:hover {
  text-decoration: underline;
}
.header-profile-normal-name img {
  width: 10px;
  margin: 0 5px;
}
.nav-list-wrap {
  display: flex;
  justify-content: space-between;
}
.navbar-light .navbar-nav .nav-link.active {
  color: #8d8e8d !important;
  padding-right: 2.5rem;
}
.toll-free-wrap {
  display: flex;
  padding-right: 10px;
}
.toll-free {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
.toll-free-text {
  color: #bbbbbb;
  font-size: 12px;
  font-weight: 400;
  line-height: 40px;
  text-transform: uppercase;
  padding-right: 5px;
  @include for-size(l1280-622) {
    font-size: 10px;
  }
  @include for-size(l1280-800) {
    font-size: 10px;
  }
  @include for-size(l1366-1439) {
    font-size: 10px;
  }
  @include for-size(l1440-1534) {
    font-size: 10px;
  }
  @include for-size(l1535-1559) {
    font-size: 10px;
  }
}
.toll-free-no {
  width: 110px;
  height: 20px;
  border-radius: 1px;
  background-color: #ffd200;
  color: #333333;
  font-size: 12px;
  font-weight: 400;
  line-height: 40px;
  display: flex;
  position: relative;
  justify-content: center;
  align-items: center;
}
.dropdown.dropdown-lg .dropdown-menu {
  margin-top: 0;
  padding: 6px 6px;
}

.input-group-btn {
  button {
    cursor: pointer;
  }

  .btn-group {
    display: flex !important;
  }
}

.input-group {
  width: 100%;
  height: 47px;
  flex-wrap: nowrap !important;
  @include for-size(phone-only) {
    height: 100%;
  }
}

.btn-group .btn {
  border-radius: 0;
  margin-left: -1px;
}

.btn-group .btn:last-child {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

.btn-group .form-horizontal .btn {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.form-horizontal .form-group {
  margin-left: 0;
  margin-right: 0;
}

.form-group .form-control:last-child {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.dropdown-menu {
  border-radius: 0;
}

//  .btn-default,
//  .all-cat-icon {
//      background-color: #fff;
//      border-bottom: 1px #cacaca solid !important;
//      border-top: 1px #cacaca solid !important;
//      border-left: 1px #cacaca solid !important;
//      color: #6f6f6f;
//  }

.btn-primary,
.search-icon {
  background-color: $primary-color !important;
  border-color: $primary-color !important;
}

.fa-button {
  background-color: $primary-color;
  border-radius: 0 0 0 0;
  left: -2em;
}

.header-icons {
  display: inline-flex;
  cursor: pointer;
  padding: 10px 10px;
  //border: 1px solid #d2d2d2;
  margin-right: 5px;
  position: relative;
  //background-color: #fff;

  @include for-size(phone-only) {
    background-color: transparent !important;
    border: none;
    padding: 0px;
    .fa-exchange-alt {
      padding-top: 7px;
    }
  }

  @include for-size(mobile-lanscape) {
    background-color: transparent !important;
    border: none;
  }
  @include for-size(tablet-portrait-up) {
      margin-right: 0px;
      border: 1px solid #5a2f05;
  }
  .fa .fas {
    @include for-size(phone-only) {
      font-size: 20px;
    }

    @include for-size(mobile-lanscape) {
      font-size: 20px;
    }
  }
}

.header-icons-lang {
  position: relative;
  display: flex;
  mat-select {
    @include for-size(phone-only) {
      background-color: transparent !important;
    }

    @include for-size(mobile-lanscape) {
      background-color: transparent !important;
    }

    @include for-size(tablet-portrait-up) {
      background-color: transparent !important;
    }
  }
}

::ng-deep.header-icons-lang .mat-select {
  width: 60%;
  @media screen and (-webkit-min-device-pixel-ratio: 0) {
    width: 35%;
  }
}

.header-icons fa {
  display: inline-block;

  @include for-size(phone-only) {
    color: #c7c7c7;
  }

  @include for-size(mobile-lanscape) {
    color: #c7c7c7;
  }
}

.header-icons fa-icon {
  display: inline-block;
  vertical-align: middle;
}

.category {
  min-width: 7vh;
}

.header-btn .mat-raised-button.mat-primary {
  background-color: $primary-color;
}

//  .but-signin{

//  }
.but-reg {
  margin-right: 12px;
}

::ng-deep .mat-raised-button {
  min-width: 0 !important;
}

.dropdown-toggle::after {
  //  float: right;
  //  margin-top: 10px;
  //  width: 1vh !important;
  //  height: 1vh !important;
  //  margin-right: 1.5vh !important;
  position: relative;
  width: 0;
  height: 0;
  top: 1%;
  left: -15px;
  display: flex;
}

.navbar-nav {
  width: 100%;
  padding: 0 !important;
}

.navbar-nav .row {
  width: 100%;
}

.sublist {
  width: auto;
  padding: 2vh;
  line-height: 3vh;
  max-width: 53.3vw;
  cursor: pointer;
}

.sublist ul {
  padding: 0;
}

.sublist ul li {
  font-size: 0.85rem;
  line-height: 2rem;
}

.sublist ul li a:hover {
  color: $primary-color;
}

.categorytitle {
  background-color: $primary-color;
  width: 33vh;
  color: #000;
}

.more-category {
  border-top: 1px solid #d4d4d4;
  padding: 1.5vh;
  background-color: #eee;
  cursor: pointer;
}

.more-category a {
  color: #545454;
}

.more-category a:hover {
  color: $primary-color;
}

.btn-default,
.all-cat-icon {
  color: #6f6f6f;
  border-right: 1px solid #cacaca;
}

.search-wrap .form-control {
  border-radius: 0 !important;
  width: inherit !important;
}

.category-popover {
    // position: absolute;
    // top: 106px;
    // left: 503px;
    // z-index: 9;
    // right: 14px;
    /* display: flex; */
    /* flex: 0 11%; */
    // padding: 0px;
    width: 100%;
}

.navi-wrapper .col-md-3 {
  max-width: calc(25% + 10px);
  flex: 0 0 26%;
}
.navi-wrapper .col-md-9 {
  max-width: calc(75% - 10px);
  flex: 0 0 75%;
}

.cart-popup-wrap {
  background-color: white;
  width: 19vw;
  height: 59vh;
  display: block;
  overflow-y: auto;
  user-select: none;
  box-shadow: 0px 5px 12px 1px #c7c7c7;
}

::ng-deep.shop-cart-popover {
  position: absolute;
  z-index: 999;
  right: -7px;
  top: 5.5vh;
  border: 1px solid #d3d3d3;

  &.arrow_box:after,
  &.arrow_box:before {
    left: 93%;
  }
}

.cart-popup-caret {
  bottom: 0;
  left: 77%;
  border: solid #dcdcdc00;
  content: " ";
  height: 0;
  width: 0;
  position: absolute;
  pointer-events: none;
  border-bottom-color: #e0dede;
  border-width: 8px;
  margin-left: 8px;
  -webkit-transform: rotate(-90deg);
  transform: rotate(0deg);
  top: 33px;
}

.showall-category {
  background-color: $primary-color;
  width: 16.9vw;
  padding-left: 1.8vh;
  font-weight: 600;
  height: 5.2vh;
  line-height: 5.2vh;
  position: relative;
}

.showall-category a {
  color: $font-white;
}

.showall-category a:hover {
  color: $font-white;
}

.showall-category .caret {
  top: 50%;
  right: 12px;
  margin-top: -2px;
  vertical-align: middle;
}

.showall-category .caret {
  margin-left: 0;
}

.showall-category .caret {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 9.5vh;
  vertical-align: middle;
  border-top: 4px dashed;
  border-top: 4px solid\9;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
  margin-left: 15vh;
}

.header-Profile-img {
  float: right;
  position: relative;
  right: 17vh;
  @include for-size(tablet-portrait-up) {
    display: none;
  }
}

.header-profile-logout {
  display: flex;
  float: left;
  align-items: center;
  cursor: pointer;
  justify-content: flex-end;
  .profile-img {
    object-fit: cover;
    //border-radius: 50%;
    border-radius: 2px;
    width: 36px;
    height: 36px;
    border: 1px solid $quaternary;
    background-position: top center;
    background-size: cover;
    background: $font-white;
  }
}

.header-logout {
  float: left;
  cursor: pointer;
}

.header-logout-mobile {
  line-height: 4;
  cursor: pointer;
}

.header-profile-name {
  display: inline-block;
  vertical-align: -webkit-baseline-middle;
  position: relative;
  left: 1vh;
  margin-right: 1vw;

  .user-name {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    vertical-align: middle;
    display: inline-block;
    text-transform: capitalize;
    cursor: pointer;
    @include for-size(phone-only) {
      max-width: 100%;
      padding-left: 5px;
    }
  }
}

.user-note {
  color: $font-white;
  font-size: 10px;
  font-weight: 400;
  padding-left: 5px;
}

.header-profile-name .fa {
  padding-top: 2%;
}
.btn-bg {
  border-right: 1px solid #dedede;
  .btn-default {
    background-color: $font-white!important;
    border: none !important;
  }
}
.search-panel button {
  border-radius: 0.25rem 0 0 0.25rem !important;
  @include for-size(tablet-portrait-up) {
    width: 46px;
  }
}

.search-btn button {
  border-radius: 0 0.25rem 0.25rem 0 !important;
  background-color: $secondary-color;
  color: white;
  border-color: $secondary-color;
  opacity: 1;
  @include for-size(phone-only) {
    background-color: $secondary-color;
    color: white;
    border-color: $secondary-color;
  }

  @include for-size(mobile-lanscape) {
    background-color: $secondary-color;
    color: white;
    border-color: $secondary-color;
  }
}

.category-btn {
  width: 100%;
  height: 26px;
  color: $font-white;
  font-size: 14px;
  font-weight: 600;
  letter-spacing: 0.42px;
  line-height: 26px;
}

.search-panel {
  .btn-default {
    // border-right-width: 0;
    height: 100% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center;
    @include for-size(phone-only) {
      padding: 0.48rem 0.75rem !important;
    }
  }

  .form-control {
    border-right-width: 0;
    border: none !important;
  }

  .search-btn {
    .btn-default {
      border-left-width: 0;
      height: 100%;
    }
  }

  ::ng-deep .mat-select-value {
    width: 70%;
    max-width: none !important;
  }

  ::ng-deep .mat-select-value-text {
    font-size: 13px;
    color: #717171de;
  }
}

@media screen and (min-width: 992px) and (max-width: 1365px) {
  .mr-5 {
    margin-right: 0 !important;
  }
}

::ng-deep mat-select.btn-default {
  border-radius: 5px 0px 0px 5px !important;
}

::ng-deep.language .mat-select-value {
  width: 82% !important;
}

.mobile-view-cart {
  float: right;
  position: relative;
  top: -100%;
}

.badge1 {
  position: relative;
}

.badge1 {
  position: absolute;
  top: -8px;
  right: -6px;
  font-size: 0.7em;
  background: #f46336;
  color: white;
  width: 18px;
  height: 18px;
  text-align: center;
  line-height: 18px;
  border-radius: 50%;
}

.badge2 {
  position: relative;
}

.badge2 {
  position: absolute;
  top: -8px;
  right: -6px;
  font-size: 0.7em;
  background: #f46336;
  color: white;
  width: 18px;
  height: 18px;
  text-align: center;
  line-height: 18px;
  border-radius: 50%;
}

.badge3 {
  position: relative;
}

.badge3 {
  position: absolute;
  top: -7px;
  right: -6px;
  font-size: 0.7em;
  background: #f46336;
  color: white;
  width: 18px;
  height: 18px;
  text-align: center;
  line-height: 18px;
  border-radius: 50%;
}

.mobile-sidenav {
  position: relative;
  z-index: 9;
  height: 100%;
}

::ng-deep .mat-drawer {
  overflow: auto;
  position: fixed !important;
  -webkit-overflow-scrolling: touch;
  @include for-size(phone-only) {
    z-index: 1000 !important;
  }

  @include for-size(tablet-portrait-up) {
    // width: 50vw;
    // z-index: 1000 !important;
    display: none;
  }

  @include for-size(mobile-lanscape) {
    width: 46vw;
  }
}
.mat-drawer-container {
  overflow: visible;
}

::ng-deep.mat-drawer-backdrop {
  position: fixed !important;
}

::ng-deep .mat-button {
  min-width: 0 !important;
}

.sidenav {
  height: 100%;
  width: 200px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  padding-top: 20px;
}

.sidenav a,
.dropdown-btn {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 20px;
  color: #818181;
  display: block;
  border: none;
  background: none;
  width: 100%;
  text-align: left;
  cursor: pointer;
  outline: none;
}

.sidenav a:hover,
.dropdown-btn:hover {
  color: #f1f1f1;
}

.sidenav .main-wrap {
  width: 70vw;
}

.mobile-showAll-btn {
  border-bottom: 1px solid #d6d6d6;
  cursor: pointer;
  font-weight: 500;
  background-color: #3c3c3c;

  @include for-size(tablet-portrait-up) {
    line-height: 2.5;
    color: white;
    font-size: 20px;
  }

  @include for-size(tablet-portrait-up) {
    padding: 0 15px 0 10px;
  }
}

.mobile-reg-btn ul {
  margin-bottom: 0rem !important;
}

.mobshowAll {
  overflow: hidden;
}

.mobile-allcategory {
  padding-bottom: 2%;
  padding-top: 2%;
  font-weight: 500;
  font-size: 12px;
  color: $font-white;
}

.mobile-lang {
  padding-left: 6%;
  width: 40%;
}

.mobile-main-menu-items ul li {
  line-height: 3;
  position: relative;
  cursor: pointer;
  font-size: 14px;
  font-weight: 500;
}

.main {
  margin-left: 200px;
  font-size: 20px;
  padding: 0px 10px;
}

.active {
  background-color: green;
  color: white;
}

.dropdown-container {
  display: none;
  background-color: #262626;
  padding-left: 8px;
}

.fa-caret-down {
  padding-right: 8px;
}

//  Mobile View CSS
.mob-wrap {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.search-panel-m button {
  border-radius: 0 0.25rem 0.25rem 0 !important;
}

.search-panel-m {
  .btn-default {
    border-right-width: 0;
    height: 100%;
  }

  .form-control {
    border-right-width: 0;
  }

  .search-btn {
    .btn-default {
      border-left-width: 0;
    }
  }
}

.logo-m img {
  object-fit: contain;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  width: 100%;
}

.mobile-view-cart-m {
  float: right;
  position: relative;
  /* top: 41px; */
  display: inline-flex;
}

.header-icons-m fa {
  border: 1px solid #c3c3c3;
  padding: 5px 9px;
  margin-right: 5px;
  display: inline-block;
  vertical-align: text-top;
}

.header-icons-m fa-icon {
  display: inline-block;
  vertical-align: middle;
}

::ng-deep .mat-select-placeholder {
  font-size: 12px !important;
  color: #717171 !important;
  font-family: inherit !important;
}

.nav-top-lable ul li {
  display: inline-flex;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  &:hover {
    background-color: #25c0f9;
  }
}
.nav-top-lable-active {
  background-color: #585858;
  padding-bottom: 4px;
}
.go-admin {
  background-color: #1f1e1e;
  text-transform: uppercase;
  cursor: pointer;
}
.go-to-admin-wrap li {
  float: right;
}

.go-to-admin {
  color: $font-white;
  font-weight: 500;
  font-size: 12px;
  background-color: #1f1e1e;
  padding: 17px 0px;
  line-height: 0.8;
  border: 1px solid #1f1e1e;
  cursor: pointer;
  text-transform: uppercase;
  width: 100px;
  margin-left: 10px;
  @include for-size(l1280-1365) {
    font-size: 10px;
  }
  @include for-size(l1366-1439) {
    font-size: 10px;
  }
  @include for-size(l1440-1534) {
    font-size: 10px;
  }
  @include for-size(l1535-1559) {
    font-size: 10px;
  }
}

.go-to-admin:hover {
  color: $font-white;
  background-color: #03a9f4;
  border: 1px solid #03a9f4;
}

.go-to-admin-wrap a {
  text-decoration: none;
}

@include for-size(phone-only) {
  .language {
    display: none;
  }

  .header-login {
    display: none;
  }
  .header .row {
    margin-right: 0;
    padding: 0;
  }

  .logo-m img {
    width: 78%;
    padding: 2px 0 0 0;
  }
  .header-fav-icon {
    position: absolute;
    top: 1% !important;
    left: 68% !important;
  }

  .header-profile-name {
    white-space: nowrap;
    width: 91%;
    overflow: hidden;
    text-overflow: ellipsis;
    color: $font-white;
    font-size: 14px;
    font-weight: 700;
  }

  .profile-mobile-image {
    width: 41px;
    height: 41px;
    border-radius: 100%;
    border-radius: 50%;
    background-color: $font-white
  }

  .header-profile-name .fa {
    padding-top: 13%;
  }

  .header-showAllCategories {
    white-space: nowrap;
    //width:91%;
    overflow: hidden;
    text-overflow: ellipsis;
    display: flex;
    justify-content: space-between;
    padding: 10px 0 10px 5px;

    @include for-size(tablet-portrait-up) {
      padding: 20px 0 20px 5px;
    }
  }

  .header-showAllCategories .fa {
    padding-top: 13%;
    color: white;
    font-size: 20px;
    //float: right;
    margin-right: 22px;
    transition: transform 0.1s;
  }

  .search-panel-m ::ng-deep.mat-select-value {
    width: 70% !important;
  }

  .search-panel-m .btn-default {
    height: 100%;
  }

  .form-control {
    height: 42px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}

@include for-size(mobile-lanscape) {
  .header-showAllCategories {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: flex;
    justify-content: space-between;
  }

  .header-profile-name {
    white-space: nowrap;
    width: 91%;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .mobile-showAll-btn {
    padding: 0 20px 0 10px;
  }

  .mobile-right-arrow {
    margin-right: 0%;
  }

  .mobile-sidenav .back-txt {
    background-color: transparent;
  }
}

@include for-size(tablet-portrait-up) {
  .header .row {
    margin-right: 0;
    padding: 0;
    margin-top: 0px;
  }

  .header-fav-cart {
    display: flex;
  }

  .cart-popup-wrap {
    width: 49vw;
  }

  .mobile-view-cart {
    display: none;
  }

  .header-logout {
    display: none;
  }

  .logo-m {
    display: none;
  }

  .search-panel-m {
    display: none;
  }

  .mob-wrap {
    margin-top: 0;
    margin-bottom: 0;
  }

  .mobile-view-cart-m {
    display: none;
  }

  .header-showAllCategories {
    display: flex;
    justify-content: space-between;
  }

  .header-profile-name .fa {
    padding-top: 13%;
  }

  .badge1 {
    top: 2px;
    right: 36px;
  }

  .badge2 {
    top: 2px;
    right: -7px;
  }

  .badge3 {
    top: 2px;
    right: -47px;
  }

  .search-panel-m .btn-default {
    height: 100%;
  }

  .btn-default {
    background-color: white;
  }

  .form-control {
    height: calc(2.23rem + 4px);
  }
}

@include for-size(tablet-landscape-up) {
  .header-icons fa {
    margin-right: 2px;
  }

  ::ng-deep .mat-raised-button {
    padding: 0 8px 0 8px !important;
    line-height: 30px !important;
  }

  .mobile-view-cart {
    display: none;
  }

  .header-logout {
    margin-top: 0;
  }

  .header-profile-name span {
    width: 70px;
  }

  .logo-m {
    display: none;
  }

  .search-panel-m {
    display: none;
  }

  .mob-wrap {
    margin-top: 0;
    margin-bottom: 0;
  }

  .mobile-view-cart-m {
    display: none;
  }

  .header-profile-name .fa {
    padding-top: 5%;
  }

  .badge1 {
    right: 81px;
  }

  .badge2 {
    right: 41px;
  }

  .badge3 {
    right: 3px;
  }

  .search-panel .btn-default {
    height: 100%;
  }

  .search-wrapp {
    width: 40%;
  }

  .user-wrapp {
    width: 18%;
    padding-left: 30px;
  }

  .header-icon-wrpp {
    width: 12%;
  }

  .header .language {
    padding-left: 16px;
  }

  .form-control {
    height: calc(2.23rem + 4px);
  }
  .mob-wrap {
    display: none;
  }
}

@include for-size(mini-laptop) {
  .logo-m {
    display: none;
  }

  .search-panel-m {
    display: none;
  }

  .mob-wrap {
    display: none;
  }

  .search-panel-m .btn-default {
    height: 100%;
  }
}

@include for-size(desktop-up) {
  .mobile-view-cart {
    display: none;
  }

  .mob-wrap {
    display: none;
  }

  .search-panel-m {
    display: none;
  }
}

@include for-size(big-desktop-up) {
  .mobile-view-cart {
    display: none;
  }
}

.c-badge {
  position: absolute;
  top: 0%;
  right: -5%;
  font-size: 75%;
  line-height: 1.5;
  background: #f46336;
  color: #fff;
  padding: 0 2px;
  border-radius: 50%;
  width: 18px;
  height: 18px;
  line-height: 18px;
  text-align: center;
  z-index: 2;

  @include for-size(phone-only) {
    top: -25%;
    right: -60%;
    width: 16px;
    height: 16px;
    background: $quaternary;
  }

  @include for-size(mobile-lanscape) {
    top: -13%;
    right: -7%;
    width: 16px;
    height: 16px;
  }
  @media (min-width: 750px) and (max-width: 768px) {
    background: $quaternary;
  }
  @include for-size(tablet-portrait-up) {
    top: -13%;
    right: -7%;
  }

  @include for-size(tablet-landscape-up) {
    top: -13%;
    right: -7%;
  }
}

.signIn-field {
  position: relative;
  display: flex;
  justify-content: flex-end;

  @include for-size(tablet-landscape-up) {
    margin: 0 20px 0 0;
    padding: 0;
  }

  .popover-trigger {
    white-space: nowrap;
  }

  .user-icon {
    font-size: 22px;
  }

  .signin-popover {
    position: absolute;
    top: 50px;
    left: -16%;
    width: 250px;
    height: auto;
    background: white;
    z-index: 10;
    -webkit-box-shadow: 0px 3px 5px 0px #c3c3c3;
    box-shadow: 0px 3px 5px 0px #c3c3c3;
  }

  .drop-arow {
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
    transition: transform 0.1s, -webkit-transform 0.1s;
  }

  &:hover {
    .drop-arow {
      -webkit-transform: rotate(90deg);
      transform: rotate(90deg);
    }
  }
}

.signin-content {
  overflow: hidden;
  line-height: 1.5;

  .drop-btns {
    padding: 8px 8px 10px;

    button {
      width: 100%;
    }
  }
}

.language-content {
  font-size: 14px;

  .current-lang {
    padding: 0px 0px 0px 10px;
    background: #4a4a4a;
    color: $font-white;

    .flag {
      margin: 0 10px;

      img {
        vertical-align: middle;
      }
    }
  }

  .hidden {
    display: none;
  }

  .lang-drop {
    float: right;
    margin-right: 15px;

    @include for-size(mobile-lanscape) {
      margin-left: 10px;
    }

    i {
      font-size: 20px;
      vertical-align: middle;
      transform: rotate(0);
      transition: transform 0.1s;
    }
  }

  .lang-list {
    overflow: hidden;

    ul {
      margin: 0;

      li {
        background-color: $font-white;

        icon {
          .fa {
            font-size: 20px;
          }
        }

        .control-name {
          font-size: 14px;
          font-weight: 600;
          color: #808080;
        }
      }

      .flag {
        margin: 0 10px;

        img {
          vertical-align: middle;
        }
      }
    }
  }
}

.isActive {
  .lang-drop {
    i {
      transform: rotate(180deg);
    }
  }
}

/*sidenav mobile language*/
.acc-control {
  font-size: 14px;

  ul {
    margin: 0;

    li {
      padding: 8px;
      cursor: pointer;

      .icon {
        display: inline-block;
        width: 22px;
        text-align: center;
        margin-right: 5px;
        color: $secondary-color;
      }

      .control-name {
        margin-left: 5px;
      }

      &:hover {
        background: #f0f0f0;
      }
    }
  }
}

.vertica-align {
  vertical-align: middle;
}

.header-cont {
  display: flex;
  // flex-flow: row nowrap;
  width: 100%;

  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    width: 100%;
  }

  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    flex: 1 70%;
  }

  @include for-size(phone-only) {
    padding: 10px 15px 5px 15px;
  }
}

.header-cont {
  > div {
    flex: 1 100%;
    margin: auto;

    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
      flex: 1 100%;
    }
  }

  .logo-cont {
    flex: 1 30%;

    @include for-size(phone-only) {
      flex: 1 60%;
      order: 2;
    }

    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
      flex: 1 39%;
    }
  }

  .search-cont {
    padding: 0 15px 0 0;
    input {
      height: 100% !important;
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      @include for-size(phone-only) {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
      }
    }
    @include for-size(phone-only) {
      margin-top: 5px;
    }

    @media screen and (max-width: 320px) {
      .btn {
        padding: 0.52rem 0.75rem !important;
      }
    }

    @media screen and (max-width: 768px) {
      padding: 0;
    }
    ::ng-deep .mat-select-arrow-wrapper {
      display: flex !important;
      align-items: center !important;
      justify-content: center !important;
    }
    ::ng-deep .mat-select-arrow {
      padding-top: 1px;
    }
  }

  .signInfield-cont {
    flex: 1 26%;
    max-width: 25%;

    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      flex: 1 30%;
      max-width: 30%;
      display: flex;
      align-items: center;
    }

    @include for-size(tablet-portrait-up) {
      order: 2;
      flex: 1 32%;
      max-width: 43% !important;
      margin: 0;
      display: flex;
      align-items: center;
      justify-content: flex-start;
    }
  }

  .signInOutfield-cont {
    flex: 1 30%;
    max-width: 31%;
    .profile-wrap {
      display: flex;
      align-items: center;
      justify-content: center;
      @include for-size(tablet-portrait-up) {
        justify-content: flex-start;
      }
    }
    @include for-size(phone-only) {
      display: none;
    }

    @include for-size(mobile-lanscape) {
      display: none;
    }

    @include for-size(tablet-portrait-up) {
      order: 3;
      flex: 1 30%;
      max-width: 30% !important;
    }
    @include for-size(tablet-landscape-up) {
      flex: 1 32%;
    }
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      max-width: 29%;
      display: flex;
      align-items: center;
    }
  }

  .lang-icons-cont {
    display: inline-flex;
    flex: 1 10%;
    max-width: 25%;

    @include for-size(tablet-portrait-up) {
      display: inline-flex;
      max-width: 6%;
      align-items: flex-end;
      justify-content: flex-end;
      order: 4;
    }

    @include for-size(tablet-landscape-up) {
      flex: 1 12%;
    }

    @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
      flex: 1 9%;
      align-items: center;
    }

    .header-lang {
      white-space: nowrap;
    }
  }

  .cart-icons-cont {
    display: inline-flex;
    flex: 1 15%;
    max-width: 25%;
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      flex: 1 19%;
      max-width: 25%;
      @include for-size(tablet-landscape-up) {
        flex: 1 30%;
        max-width: 31%;
      }
    }
    @include for-size(phone-only) {
      order: 4;
      max-width: 22%;
      margin-top: 4px;
    }

    @include for-size(tablet-portrait-up) {
      flex: 1 15%;
      max-width: 21%;
      align-items: center;
      justify-content: center;
    }

    .header-fav-cart {
      white-space: nowrap;
      width: 144px;
      height: 46px;
      border-radius: 2px;
      background-color: $font-white;
      display: flex;
      align-items: center;
      justify-content: space-around;
      @include for-size(tablet-portrait-up) {
        background-color: transparent;
        color: $font-white;
        width: 115px;
      }
    }
    .icon-border {
      border-left: 1px solid #e5e5e5;
      @include for-size(tablet-portrait-up) {
        border-left: none;
      }
    }
  }

  @media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    flex: 1 14%;
  }
}

.uname {
  display: inline-block;
  max-width: 135px;
  overflow: hidden;
  text-align: left;
  font-size: 14.5px;
  color: $font-white;
  overflow: hidden;
  text-overflow: ellipsis;
  @include for-size(mini-laptop) {
    @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
      padding: 0 5px 0 5px;
    }

    @-moz-document url-prefix() {
      padding-left: 10px;
    }
  }
}

.mobile-sidenav {
  display: none;
}

@media screen and (max-width: 800px) {
  .header {
    height: 128px;
    padding: 0;
  }
  .header-cont {
    flex-flow: row wrap;
    .logo-cont {
      order: 1;
      padding-left: 15px;

      @include for-size(tablet-portrait-up) {
        flex: 1 37%;
        padding-left: 0 !important;
      }
    }

    .search-cont {
      order: 5;
      flex: 1 100%;
      @include for-size(tablet-portrait-up) {
        order: 5;
      }
    }
    .signInOutfield-cont {
      order: 2;
      flex: 1 27%;
    }

    .cart-icons-cont {
      order: 3;
    }
  }
  .lang-icons-cont {
    order: 4;
    flex: 1 5%;
  }
  .mobile-sidenav {
    display: block;
  }
}

@media screen and (min-width: 300px) and (max-width: 600px) {
  .header-cont {
    flex-flow: row wrap;
    display: flex;
    align-items: center;
    justify-content: center;
    .logo-cont {
      padding-left: 15px;

      @include for-size(phone-only) {
        padding: 5px 15px;
        display: flex;
        align-items: center;
      }
    }

    .search-cont {
      order: 4;
      flex: 1 100%;
    }

    .signInfield-cont {
      order: 3;
    }

    .cart-icons-cont {
      order: 3;
      margin: 0;
    }
  }

  .mobile-sidenav {
    display: block;
  }
}

.sidenav-toggle-btn {
  display: none;

  button:focus {
    @include for-size(phone-only) {
      outline: none;
    }
  }
}

@media screen and (max-width: 768px) {
  .navi-wrapper {
    display: none;
  }

  .header-cont {
    .sidenav-toggle-btn {
      display: inline-block;
      max-width: 40px;
      flex: 1 auto;
    }

    .fa {
      font-size: 14px;
      color: #5d5b5b;
    }
  }
}

@media screen and (max-width: 800px) {
  .navi-wrapper {
    display: none;
  }
}

@media screen and (max-width: 600px) {
  .logo-m {
    img {
      width: 80%;
      object-fit: contain;
    }
  }
}

.sidenav-toggle-btn {
  .mat-button {
    @include for-size(phone-only) {
      padding: 0;
    }
  }

  @include for-size(phone-only) {
    order: 1;
    display: flex;
    flex-wrap: row wrap;
  }
}
::ng-deep mat-select {
  @include for-size(phone-only) {
    background-color: $font-white !important;
  }

  @include for-size(mobile-lanscape) {
    background-color: $font-white!important;
  }
}

@include for-size(tablet-landscape-up) {
  .mr-3 {
    margin-right: 0.8rem !important;
  }
}

.mobile-header-view {
  display: none;

  @include for-size(phone-only) {
    display: flex;
  }

  @include for-size(mobile-lanscape) {
    display: flex;
  }
  @include for-size(tablet-portrait-up) {
    display: none;
  }
}

.normal-header-view {
  display: flex;

  @include for-size(phone-only) {
    display: none;
  }

  @include for-size(mobile-lanscape) {
    display: none;
  }
  @include for-size(tablet-portrait-up) {
    margin-top: -8px;
  }
}

.mat-select-panel .mat-option {
  height: 45px !important;
}

.cartspace {
  padding: 5px 0;
}

/* Mobile SideNav New */

.sidenav-newprofile {
  height: 91px;
  background-color: $primary-color;
  color: #555555;
  font-size: 14px;
  font-weight: 400;
  width: 100%;
  @include for-size(mobile-lanscape) {
    width: 100%;
  }
  .mobile-profile-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: $primary-color;
  }

  .profile-wrap {
    display: flex;
    align-items: center;
    margin-left: 27px;
    max-width: 67%;
    .profile-mobile-image {
      width: 41px;
      height: 41px;
      border-radius: 100%;
      border-radius: 50%;
      background-color: $font-white;
    }
  }

  .language-warp {
    height: 91px;
    background: $secondary-color;
    width: 67px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.mobile-reg-btn1 {
  color: #555555;
  font-size: 14px;
  font-weight: 400;
  display: flex;
  align-items: center;
  border-top: 2px solid #e7ecf0;
  border-bottom: 1px solid #e7ecf0;
  @include for-size(tablet-portrait-up) {
    width: 100%;
  }
  .language-content1 {
    font-size: 14px;
    overflow: hidden;
    width: 100%;
    @include for-size(mobile-lanscape) {
      width: 100%;
    }

    .current-lang1 {
      height: 46px;
      background-color: $font-white;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: space-between;
      cursor: pointer;
      width: 300px;
      @include for-size(mobile-lanscape) {
        width: 100%;
      }
      @include for-size(tablet-portrait-up) {
        width: 100%;
      }
      .font14 {
        padding: 0 21px;
      }
    }

    .hidden {
      display: none;
    }

    .lang-drop1 {
      float: right;
      margin-right: 18px;

      @include for-size(mobile-lanscape) {
        margin-left: 10px;
      }

      i {
        font-size: 20px;
        vertical-align: middle;
        transform: rotate(0);
        transition: transform 0.1s;
      }
    }
  }
}
.mobile-lang-btn1 {
  color: #555555;
  font-size: 14px;
  font-weight: 400;
  display: flex;
  align-items: center;
  border-top: 1px solid #e7ecf0;
  border-bottom: 2px solid #e7ecf0;
  width: 100%;
  @include for-size(tablet-portrait-up) {
    width: 100%;
  }
  @include for-size(mobile-lanscape) {
    width: 100%;
  }
  .language-content1 {
    font-size: 14px;
    overflow: hidden;
    width: 100%;

    .current-lang1 {
      height: 46px;
      background-color: #fff;
      cursor: pointer;
      display: flex;
      align-items: center;
      justify-content: space-between;
      cursor: pointer;
      @include for-size(tablet-portrait-up) {
        width: 100%;
      }
      width: 300px;
      .font14 {
        padding: 0 21px;
      }
    }

    .hidden {
      display: none;
    }

    .lang-drop1 {
      float: right;
      margin-right: 18px;

      @include for-size(mobile-lanscape) {
        margin-left: 10px;
      }

      i {
        font-size: 20px;
        vertical-align: middle;
        transform: rotate(0);
        transition: transform 0.1s;
      }
    }

    .lang-list1 {
      ul {
        margin: 0;
        padding: 0 10px;

        li {
          padding: 0 10px;
          background-color: $quaternary;
          line-height: 3;
          img {
            padding: 0 21px;
            vertical-align: middle;
          }
          &:hover {
            background: #f0f0f0;
          }
        }
      }
    }
  }

  .isActive {
    .lang-drop1 {
      i {
        transform: rotate(180deg);
      }
    }
  }
}

.sidenav-footer {
  height: 113px;
  width: 100%;
  background: $quaternary;
  display: flex;
  position: relative;
  bottom: 0;
  -webkit-box-shadow: -10px 0px 40px 0px #dad9d9;
  box-shadow: -10px 0px 40px 0px #dad9d9;
  color: $font-black;
  .sidenav-footer-wrap {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-evenly;

    ul {
      display: inline-flex;
      width: 100%;
      justify-content: space-evenly;
      margin: 0;
      @include for-size(mobile-lanscape) {
        width: none;
      }
      @include for-size(tablet-portrait-up) {
        width: none;
      }

      li {
        .sidenav-home {
          height: 45px;
          width: 45px;
          border-radius: 100%;
          border: 1px solid #d8d8d8;
          background-color: $quaternary;
          align-items: center;
          display: flex;
          justify-content: center;
          color: $font-black;
          cursor: pointer;
        }

        .ctrl-name {
          display: flex;
          justify-content: center;
          align-items: center;
          color: $font-black;
          font-size: 10px;
          font-weight: 400;
          margin-top: 7px;
        }
      }
    }
  }
}
.mobile-acc-control ul {
  margin: 0px;
}
.mobile-acc-control ul li {
  font-size: 14px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  cursor: pointer;
  line-height: 4;
  .large .material-icons {
    color: #555555;
    font-size: 20px;
  }

  &:hover {
    background-color: #f2f2f2;
  }
  img {
    color: #555555;
    padding: 0 21px;
    span {
      color: #555555;
      font-size: 14px;
      font-weight: 400;
    }
  }
}
.profile-list {
  height: calc(100% - 205px);
  overflow-y: scroll;
  background-color: $quaternary;
  color: $font-black;
}
@include for-size(phone-only) {
  ::-webkit-scrollbar {
    width: 0px;
    background: transparent;
  }
}
.input-group-btn {
  position: relative;
  z-index: 1000;
  display: flex;
  align-items: center;
  justify-content: center;
}

.input-group-btn a.btn {
  position: absolute;
  right: 38px;
  top: 0px;
}

.input-group-btn a.btn:hover,
.input-group-btn a.btn:active {
  box-shadow: none;
}
.search-clear {
  position: absolute;
  right: 0px;
  background: none;
  border: none;
  color: grey;
  display: flex;
  align-items: center;
  justify-content: center;
}
.search-clear i {
  padding-right: 5px;
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  input[type="search"]::-ms-clear {
    display: none;
    width: 0;
    height: 0;
    cursor: pointer;
  }
  input[type="search"]::-ms-reveal {
    display: none;
    width: 0;
    height: 0;
  }
  input[type="text"]::-ms-clear {
    cursor: pointer;
  }
  input[type="text"]::-ms-reveal {
  }
}
@supports (-ms-ime-align: auto) {
  input[type="text"]::-ms-clear {
    display: none;
  }
}

.lang-image {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  .lang-value {
    padding: 0 3px 0 10px;
    display: flex;
    justify-content: flex-start;
  }
}
.country-name-value {
  text-transform: uppercase;
  font-weight: 600;
  display: flex;
  color: $font-white;
  @include for-size(phone-only) {
    color: $font-white
  }
}
.header-icons-lang{
  ::ng-deep .mat-select-arrow{
    color: $font-white !important;
  }
}
.country-lang-value {
  text-transform: uppercase;
  font-weight: 600;
  display: flex;
  color: $font-black;
  @include for-size(phone-only) {
    color: $font-white;
  }
}

.m-lang-image {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  .m-lang-value {
    padding: 0 3px 0 10px;
    display: flex;
    justify-content: flex-start;
  }
  .m-country-name-value {
    text-transform: uppercase;
    font-weight: 600;
    display: flex;
  }
}
.cursor-pointer {
  cursor: pointer;
}
